View Issue Details

IDProjectCategoryView StatusLast Update
0001548SymmetricDSBugpublic2014-02-05 10:08
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.16Fixed in Version3.5.16 
Summary0001548: Subdirectories with file sync from Windows to Linux has backslashes
DescriptionUsing the recurse option of file sync and syncing from Windows to Linux results in subdirectory names containing backslashes. A folder named ROOT with a subfolder named SUB on Windows will create a folder on Linux literally named ROOT\SUB.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master a3e06c80

2014-01-29 15:52:21

erilong

Details Diff
0001548: fix file sync from Windows to Linux with subdirectories
0001548
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File

Issue History

Date Modified Username Field Change
2014-01-29 15:49 elong New Issue
2014-01-29 15:49 elong Status new => assigned
2014-01-29 15:49 elong Assigned To => elong
2014-01-30 13:24 elong Status assigned => resolved
2014-01-30 13:24 elong Fixed in Version => 3.5.16
2014-01-30 13:24 elong Resolution open => fixed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7895
2014-02-05 10:08 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master a3e06c80